<?php
//require __DIR__."./../phpJasperXML_2.0.1/autoload.php";
require_once("./../phpJasperXML_2.0.1/autoload.php");

use simitsdk\phpjasperxml\PHPJasperXML;

$filename = __DIR__."/NotaEntrega.jrxml";

// read parameters
$id_Entrega = $_SESSION['id_Entrega'] ; 	// invoice identification to obtain

// Read record
$data = array();
$rs = DB::Query("

SELECT

	e_dp.id_Entrega,
	e_dp.fecha_entrega,
	e_dp.derecho_Propietario,
	e_dp.correlativo_entregado,
	
	
	dp.nro_Acciones,
	dp.nro_Titulo ,
	dp.nro_derecho ,
	
	
	CONCAT( s.apellido_Paterno, ' ', s.apellido_Materno, ' ', s.nombres, ' con C.I. :', s.ci,' ', a.alias ) AS Entregado,

	es.nombre as estado_Pago,
	

	
	ta.nombre  as tipo_socio,
	
		CONCAT(
		'Sacaba ',
		DAY ( e_dp.fecha_entrega),
		' de ',
	CASE
			MONTH (e_dp.fecha_entrega ) 
			WHEN 1 THEN
			'Enero' 
			WHEN 2 THEN
			'Febrero' 
			WHEN 3 THEN
			'Marzo' 
			WHEN 4 THEN
			'Abril' 
			WHEN 5 THEN
			'Mayo' 
			WHEN 6 THEN
			'Junio' 
			WHEN 7 THEN
			'Julio' 
			WHEN 8 THEN
			'Agosto' 
			WHEN 9 THEN
			'Septiembre' 
			WHEN 10 THEN
			'Octubre' 
			WHEN 11 THEN
			'Noviembre' 
			WHEN 12 THEN
			'Diciembre' 
		END,
		' del ',
		YEAR ( e_dp.fecha_entrega) 
	) AS fecha_entrerga_literal
FROM
	entrega_dp AS e_dp
	INNER JOIN socio AS s ON e_dp.accionista = s.id_Socio
	INNER JOIN aux AS es ON e_dp.estado = es.id_aux
	LEFT JOIN derecho_propietario AS dp ON e_dp.derecho_Propietario = dp.id_derecho_Propietario
	INNER JOIN aux AS a ON s.ci_procedencia = a.id_aux
	LEFT JOIN aux AS ta ON s.tipo_accionista = ta.id_aux
		
	where e_dp.id_Entrega  = $id_Entrega 
	LIMIT 1;

");
while( $row= $rs->fetchAssoc() )
{
$data[] = $row;
}
$config = [
    'driver'=>'array',
    'data'=> $data
];
$parameters = [];


$type = 'Pdf';
$fileOutput= '';
$creator = 'bi-softnet';
$author = 'xbi-softnet@gmail.com';
$title = 'Nota de Entrega';
$keywords = 'PHP';
$format_intl = 'es_ES';

// $temp_file = tempnam(sys_get_temp_dir(), 'pdf');  // Create file temporal
// $fileOutput = $temp_file;

$report = new PHPJasperXML();
$report->load_xml_file($filename)    
    ->setParameter($parameters)
    ->setDataSource($config)
    ->export($type,$fileOutput,$title,$creator,$author,$keywords,$format_intl);

?>
